/**
 * EventClassIsConstraint.java
 * @author Matthew Farrellee
 */

package org.datamanager.constraint;

import org.datamanager.event.DataManagerEvent;

import org.datamanager.exception.DataManagerException;

import org.datamanager.kernel.AbstractEventConstraint;


public class EventTypeIsConstraint extends AbstractEventConstraint
	{

	private Class target;

	public EventTypeIsConstraint(Class target)
		{
		this.target = target;
		}

	public boolean describes(DataManagerEvent defendant)
		{
		if (defendant != null)
			{
			return target.isAssignableFrom(defendant.getClass());
			}
		else
			{
			return false;
			}
		}
	} // EventClassIsConstraint