package org.datamanager.kernel;

import java.util.*;
import java.io.*;

import org.datamanager.kernel.KernelWindow;
import org.datamanager.kernel.Initializable;

import org.datamanager.tools.Debug;


class UserInterfaceLoaderProcess extends LoaderProcess
	{

	KernelWindow controller;

	UserInterfaceLoaderProcess(KernelWindow controller, File directory)
		{
		super(directory);
		
		this.controller = controller;
		}

	protected void load(Object object)
		{
		controller.addInterface((Initializable) object);
		}
	}

