/**
 * EntityList.java
 *
 * @author Benjamin Frederick Keil
 * @author Matthew Farrellee
 */

package org.datamanager.tools;

import org.datamanager.kernel.Entity;

import java.util.Vector;

public class EntityList
    {

    private Vector entities;

    public EntityList()
        {
        entities = new Vector();
        }

    public int size()
        {
        return entities.size();
        }

    public Entity elementAt(int index)
        {
        return (Entity) entities.elementAt(index);
        }

    public void insertElementAt(Entity element, int index)
        {
        entities.insertElementAt(element, index);
        }

    public Entity removeElementAt(int index)
        {
        Entity temp = (Entity) entities.elementAt(index);
        entities.removeElementAt(index);
        return temp;
        }

    public String toString()
        {
        return super.toString() + entities.toString();
        }

    } // EntityList

