package org.datamanager.userinterface.cerulean.controller.action;

import org.datamanager.userinterface.cerulean.view.*;
import org.datamanager.userinterface.cerulean.view.component.*;
import org.datamanager.userinterface.cerulean.controller.*;
import org.datamanager.userinterface.cerulean.model.*;
import org.datamanager.userinterface.cerulean.model.event.*;
import org.datamanager.userinterface.cerulean.model.data.transfer.*;

import java.awt.*;
import java.awt.event.*;
import java.awt.datatransfer.*;
import java.awt.dnd.*;
import javax.swing.*;
import java.awt.geom.*;
import java.io.*;
public class CreateNewEntityAction extends AbstractAction {
	private InterfaceCluster cluster;
	public CreateNewEntityAction(InterfaceCluster cluster) {
		this.cluster = cluster;
		}
	public void actionPerformed(ActionEvent e) {
		InterfaceEntity entity = new InterfaceEntity("new entity");
		cluster.addEntity(entity);
		cluster.setSelected(this);
		InterfaceEntityComponent component = InterfaceEntityPeerTable.getInstance().getPeer(entity);
		Personalizable personalizable = (Personalizable)component;
		Personalizer p = new Personalizer(personalizable);
		p.setSelectedPane(2);
		p.setSize(p.getPreferredSize());
		Point location = component.getLocationOnScreen();
		p.setLocation(location);
		p.show();
		}
	}