package org.datamanager.userinterface.cerulean.controller.action;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import org.datamanager.userinterface.cerulean.model.InterfaceCluster;
import org.datamanager.userinterface.cerulean.model.InterfaceEntity;
import org.datamanager.userinterface.cerulean.model.InterfaceEntityPeerTable;

public class RemoveFromPoolAction extends AbstractAction {
	private InterfaceEntity entity;
	public RemoveFromPoolAction(InterfaceEntity entity) {
		this.entity = entity;
		}
	public void actionPerformed(ActionEvent e) {
		InterfaceCluster cluster = entity.getParentCluster();
		entity.remove();
		InterfaceEntityPeerTable.getInstance().unregisterPeer(entity);
		}
	}
