package org.datamanager.userinterface.cerulean.controller.entity;
import java.awt.*;
import java.applet.*;
import java.net.*;
import org.datamanager.userinterface.cerulean.model.event.*;
import org.datamanager.userinterface.cerulean.model.*;
import org.datamanager.userinterface.cerulean.model.undo.*;
import org.datamanager.userinterface.cerulean.view.component.*;
import org.datamanager.userinterface.cerulean.view.*;
public class InterfaceEntityEntityListener extends EntityAdapter {
	private InterfaceEntityComponent entityComponent;
	public InterfaceEntityEntityListener(InterfaceEntityComponent entityComponent) {
		this.entityComponent = entityComponent;
		}
	public void entitySelected(EntityEvent e) {
		if (e.getEntity() == entityComponent.getInterfaceEntity()) {
			entityComponent.setSelected(true);
			}
		}
	public void entityOpened(EntityEvent e) {
		if (e.getEntity() == entityComponent.getInterfaceEntity()) {
			Displayable d = (Displayable)entityComponent;
			d.openEntity();
			}
		}
	public void entityUnselected(EntityEvent e) {
		System.out.println("Entity unselected");
		entityComponent.setSelected(false);
		}
	public void entityMoved(EntityMovedEvent e) {
		entityComponent.setLocation(e.getX(), e.getY());
		}
	}
