package org.datamanager.userinterface.cerulean.model.event;

import java.util.EventListener;
/**
 * 
 */


public interface ClusterListener extends EventListener {
	public void clusterAdded(ClusterEvent e);
	public void clusterRemoved(ClusterEvent e);
	public void clusterSelected(ClusterEvent e);
	public void clusterUnselected(ClusterEvent e);
	public void clusterModified(ClusterModifiedEvent e);
	public void entitiesAddedToCluster(ClusterContentEvent e);
	public void entitiesRemovedFromCluster(ClusterContentEvent e);
	public void entitiesReclustered(ClusterReclusteringEvent e);
	}