package org.datamanager.userinterface.cerulean.model.event;

import org.datamanager.userinterface.cerulean.model.InterfaceEntity;
import org.datamanager.userinterface.cerulean.model.InterfaceCluster;
import java.util.EventObject;

public class ClusterModifiedEvent extends ClusterEvent {
	protected InterfaceEntity entity;
	protected boolean wasAdded;
/**
 * 
 */
	public ClusterModifiedEvent(Object source, InterfaceCluster cluster, InterfaceEntity entity, boolean isAdded) {
		super(source, cluster);
		this.entity = entity;
		setContentAdded(isAdded);
		}
	public void setContentAdded(boolean wasAdded) {
		this.wasAdded = wasAdded;
		}
	public InterfaceEntity getEntity() {
		return entity;
		}
	}