package org.datamanager.userinterface.cerulean.model.event;

import java.util.EventListener;

////////////////////////////////////////////////////////////////////////////////
/**
 * An implementation of EntityListener.  Implements all the methods of
 * EntityListener as a convenience to those wish to listen for entity events.
 * @see ClusterListener
 * @see ClusterEvent
 *
 * @author Gordon Murphy
 */
public class EntityAdapter implements EntityListener {
	public void entityCreated(EntityEvent e){}
	public void entitySelected(EntityEvent e){}
	public void entityOpened(EntityEvent e){}
	public void entityAttached(EntityBoundEvent e){}
	public void entityUnselected(EntityEvent e){}
	public void entityDetached(EntityBoundEvent e){}
	public void entityMoved(EntityMovedEvent e){}
	public void entityModified(EntityEvent e){}
	}