package org.datamanager.userinterface.cerulean.model.menu;

import org.datamanager.userinterface.cerulean.view.*;
import org.datamanager.userinterface.cerulean.view.component.*;
import org.datamanager.userinterface.cerulean.model.*;
import org.datamanager.userinterface.cerulean.model.menu.*;
import org.datamanager.userinterface.cerulean.model.event.*;
import org.datamanager.userinterface.cerulean.model.data.transfer.*;
import org.datamanager.userinterface.cerulean.model.data.storage.*;
import org.datamanager.userinterface.cerulean.sounds.*;
import javax.swing.*;
import javax.swing.event.*;
import java.awt.*;
import java.awt.event.*;

public class InterfacePopupMenu extends JPopupMenu implements PopupMenuListener{
	public InterfacePopupMenu() {
		SoundRequestHandler sounds = SoundRequestHandler.getInstance();
		sounds.load("popupopened.au");
		sounds.load("popupclosed.au");
		addPopupMenuListener(this);
		}
	public void popupMenuWillBecomeVisible(PopupMenuEvent e) {	
		SoundRequestHandler.getInstance().play("popupopened.au");
		}
	public void popupMenuWillBecomeInvisible(PopupMenuEvent e) {
		SoundRequestHandler.getInstance().play("popupclosed.au");
		}
	public void popupMenuCanceled(PopupMenuEvent e) {
		SoundRequestHandler.getInstance().play("popupclosed.au");
		}
	}//end class