package org.datamanager.userinterface.cerulean.model.thread;

import org.datamanager.userinterface.cerulean.model.Stage;
import org.datamanager.userinterface.cerulean.model.InterfaceEntity;
import org.datamanager.userinterface.cerulean.model.CircleManager;
import org.datamanager.userinterface.cerulean.model.data.storage.InterfaceEntityList;

public class RemoveClusterThread implements Runnable {
	private Stage stage;
	private InterfaceEntityList entities;
	public RemoveClusterThread(Stage stage, InterfaceEntityList entities) {
		this.stage = stage;
		this.entities = entities;
		}
	public void run() {
		for (int i = 0; i <= entities.size() - 1; i++) {
			stage.removeEntity(entities.elementAt(i));
			}
		}
	}