package org.datamanager.userinterface.cerulean.view.icon;
import org.datamanager.userinterface.cerulean.view.*;
import org.datamanager.userinterface.cerulean.view.component.*;
import org.datamanager.userinterface.cerulean.model.*;
import org.datamanager.userinterface.cerulean.model.data.transfer.*;

import java.awt.*;
import javax.swing.*;
import java.awt.geom.*;
public class TabIconEnabled extends TabIcon {

	public TabIconEnabled(String label) {
		super(label);
		}
	public TabIconEnabled(String label, Paint paint) {
		super(label, paint);
		}
	public void paintIcon(Component c, Graphics g, int x, int y) {
		Rectangle currentComponentBounds = c.getBounds();
		Graphics2D g2 = (Graphics2D)g;
		Shape enabledTab = getDefaultIconShape();
		Area tab = new Area(enabledTab);
		setIconShape(getDefaultIconShape());
		super.paintIcon(c, g, x, y);
		}
	}