import org.datamanager.kernel.Simpleton;
import org.datamanager.kernel.Entity;
import org.datamanager.kernel.Pool;
import org.datamanager.kernel.Initializable;
import org.datamanager.event.DataManagerEvent;
import org.datamanager.exception.DataManagerException;
import org.datamanager.tools.Information;
import org.datamanager.userinterface.cerulean.Cerulean;

public class CeruleanStartup implements Initializable
{
    public void initialize()
    {
	Cerulean.startup();
    }
    public Information getInformation()
    {
		String name = "Cerulean";
		String[] authors = {"Gordon Murphy", "Bryan Dawson", "Rick Dietz"};
		String shortDescription = "Search and Cluster Based Interface";
		String longDescription = "Cerulean clusters and presents your data" +                 " in an easy to view and understand format";
      String version = ".90";
      Information info = new Information(name, shortDescription,
                                    longDescription, version, authors );

		return info;
}
}







