/**
 * NoneConstraint.java
 * @author Benjamin Keil
 * @author Matthew Farrellee
 *
 * Created 199910262046
 */

package org.datamanager.constraint;

import org.datamanager.kernel.Entity;
import org.datamanager.event.DataManagerEvent;

class NoneConstraint implements EntityConstraint, EventConstraint
{
    
    private static NoneConstraint instance = new NoneConstraint();

    private NoneConstraint()
        {
        }

    public boolean accepts(Entity defendant)
    {
		return true;
    }

	public boolean accepts(DataManagerEvent defendant)
		{
		return true;
		}

    public static NoneConstraint getInstance()
    {
		return instance;
    }
    
} // NoneEntityConstraint
