package org.datamanager.engine.test;

import org.datamanager.engine.filter.*;
import test.framework.*;

/**
 * TestSuite that runs all the sample tests
 *
 */
public class AllTests {

  public static Test suite ( ) {
    TestSuite suite= new TestSuite();
    suite.addTest(DetWordFilterTest.suite());
    suite.addTest(StopWordFilterTest.suite());
    suite.addTest(HTMLFilterTest.suite());
    suite.addTest(FrequencyFilterTest.suite());
    suite.addTest(LSATest.suite());
    return suite;
  }

  public static void main (String[] args) {
        test.textui.TestRunner.run (suite());
  }

}
