package org.datamanager.engine.test;

import org.datamanager.engine.filter.*;
import java.io.*;
import test.framework.*;

/**
 * Simple module tests with JUnit.
 */

public class DetWordFilterTest extends TestCase {

    public DetWordFilterTest(String name) {
        super(name);
    }

    public void testStringFiltering() {
       DetWordFilter f1 = new DetWordFilter();
       String i1 = "A cat has a mouse. The cat has four legs. How many legs has the mouse?";
       String o1 = (String)f1.process(i1);
       //System.out.println(""+o1);
       assertEquals(o1, "A cat has a mouse The cat has legs How legs has mouse ");
    }

    public static Test suite() {
        TestSuite suite= new TestSuite();

        suite.addTest(new DetWordFilterTest("testStringFiltering"));
        return suite;
    }

    public static void main (String[] args) {
        test.textui.TestRunner.run (suite());
    }

}

