package org.datamanager.engine.tools;

final public class Assertion {
    final public static boolean DEBUG = true;
    final public static void check(boolean cond)  {
	if(DEBUG && !cond)
	    throw new AssertionFailedException();
    }
    public static void main(String args[]) {
	Assertion.check(true);
	Assertion.check(false);
    }
}

class AssertionFailedException extends RuntimeException {
  AssertionFailedException() { super(); }
  AssertionFailedException(String s) { super(s); }
}

