/**
 * Simpleton.java
 */

package org.datamanager.kernel;


import org.datamanager.tools.Information;

/**
 * Simpleton is probably the second most important class in all of Knownspace.
 * It does all of the verbal work, manipulating Entities.  It can't do this
 * directly, however -- it must go through EntityProxies, who know the
 * diplomacy of the system.
 *
 * @author Matthew Farrellee
 * @author Benjamin Keil
 */

public abstract class Simpleton
	implements DataManagerWorker
    {
    ///////////////////////////////////////////////////////////////////////////
    //                                                                       //
    //                        Implementation Methods                         //
    //                                                                       //
    ///////////////////////////////////////////////////////////////////////////

    // Start simpleton execution
    public abstract void process();
    
    // Report this Simpleton's Information
    public abstract Information getInformation();
    }



