
package org.datamanager.passiveentityvalue;

import org.datamanager.passiveentityvalue.PassiveEntityValue;

/**
Objects of this class hold an Object and can be stored in an Entity
as they are EntityValues.
**/
public class ObjectEntityValue
	implements PassiveEntityValue
	{
	private Object object;

	public ObjectEntityValue(Object object)
		{
		this.object = object;
		}

	public Object getObject()
		{
		return object;
		}

	public boolean equals(Object value)
		{
		return object.equals(value);
		}

	public int hashCode()
		{
		return object.hashCode();
		}

	public String toString()
		{
		return object.toString();
		}
	}
