package org.datamanager.userinterface.cerulean.controller.action;

import org.datamanager.userinterface.cerulean.view.*;
import org.datamanager.userinterface.cerulean.view.component.*;
import org.datamanager.userinterface.cerulean.controller.*;
import org.datamanager.userinterface.cerulean.model.*;
import org.datamanager.userinterface.cerulean.model.event.*;
import org.datamanager.userinterface.cerulean.model.data.transfer.*;

import java.awt.*;
import java.awt.event.*;
import java.awt.datatransfer.*;
import java.awt.dnd.*;
import javax.swing.*;
import java.awt.geom.*;
import java.io.*;
public class PersonalizeAction extends AbstractAction {
	private JComponent component;
	public PersonalizeAction(JComponent component) {
		this.component = component;
		}
	public void actionPerformed(ActionEvent e) {
		if (component instanceof Personalizable) {
			Personalizable personalizable = (Personalizable)component;
			Personalizer p = new Personalizer(personalizable);
			p.setSize(p.getPreferredSize());
			Point location = component.getLocationOnScreen();
			p.setLocation(location);
			p.show();
			}
		}
	}