package org.datamanager.userinterface.cerulean.controller.mouse;

import org.datamanager.userinterface.cerulean.view.*;
import org.datamanager.userinterface.cerulean.view.component.*;
import org.datamanager.userinterface.cerulean.controller.*;
import org.datamanager.userinterface.cerulean.model.*;
import org.datamanager.userinterface.cerulean.model.menu.*;
import org.datamanager.userinterface.cerulean.model.data.transfer.*;

import java.awt.*;
import java.awt.event.*;
import java.awt.datatransfer.*;
import java.awt.dnd.*;
import javax.swing.*;
import java.awt.geom.*;
import java.io.*;
public class AbyssMouseListener extends MouseAdapter {
	private AbyssComponent abyssComponent;
	private AbyssPopupMenu popupMenu;
	public AbyssMouseListener (AbyssComponent abyssComponent) {
		this.abyssComponent = abyssComponent;
		popupMenu = new AbyssPopupMenu(abyssComponent);
		}
	//store the position of the initial 
	public void mousePressed(MouseEvent e) {
		if (e.isPopupTrigger()) {
			popupMenu.show(abyssComponent, e.getX(), e.getY());
			}
		}
	public void mouseReleased(MouseEvent e) {
		if (e.isPopupTrigger()) {
			popupMenu.show(abyssComponent, e.getX(), e.getY());
			}
		}
	public void mouseEntered(MouseEvent e) {
		}
	public void mouseClicked(MouseEvent e) {
		if (e.isPopupTrigger()) {
			popupMenu.show(abyssComponent, e.getX(), e.getY());
			}
		}
	public void mouseExited(MouseEvent e) {
		}
	}