package org.datamanager.userinterface.cerulean.model.event;
////////////////////////////////////////////////////////////////////////////////
/**
 * An implementation of ClusterListener.  Implements all the methods of
 * ClusterListener as a convenience to those wish to listen for cluster events.
 * @see ClusterListener
 * @see ClusterEvent
 *
 * @author Gordon Murphy
 */
public class ClusterAdapter implements ClusterListener {
	public void clusterAdded(ClusterEvent e){}
	public void clusterRemoved(ClusterEvent e){}
	public void clusterSelected(ClusterEvent e){}
	public void clusterUnselected(ClusterEvent e){}
	public void clusterModified(ClusterModifiedEvent e){}
	public void entitiesAddedToCluster(ClusterContentEvent e){}
	public void entitiesRemovedFromCluster(ClusterContentEvent e){}
	public void entitiesReclustered(ClusterReclusteringEvent e){}
	}