/*
class org.datamanager.userinterface.cerulean.model.AbyssPane

Authors:
~~~~~~~~
Gordon Murphy, gpmurphy@indiana.edu
Bryan Dawson, bdawson@indiana.edu
*/

package org.datamanager.userinterface.cerulean.view.component;

import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Container;
import javax.swing.JComponent;
import javax.swing.JLayeredPane;

/**
 *
 * The abyss pane holds the abyss and sets its bounds to fill the entire panel.
 * The abyss pane is added to the CRootPane.
 * 
 * @version 1.0
 * @author Gordon Murphy, gpmurphy@indiana.edu
 * @author Bryan Dawson, bdawson@indiana.edu 
 */
////////////////////////////////////////////////////////////////////////////////
public class AbyssPane extends CirclePane {
	private AbyssComponent abyss;
/**
 * Creates a new abyss pane with an abyss taking up its entire view
 */
	public AbyssPane() {
		super();
		setLayout(new BorderLayout());
		setVisible(true);
		setOpaque(false);
		abyss = new AbyssComponent();
		addImpl(abyss, BorderLayout.CENTER, -1);
		}
	}