package org.datamanager.userinterface.cerulean.view.icon;
import org.datamanager.userinterface.cerulean.view.*;
import org.datamanager.userinterface.cerulean.view.component.*;
import org.datamanager.userinterface.cerulean.model.*;
import org.datamanager.userinterface.cerulean.model.data.transfer.*;

import java.awt.*;
import javax.swing.*;
import java.awt.geom.*;
public class TabIconDisabled extends TabIcon {
	public TabIconDisabled(String label) {
		super(label);
		}
	public TabIconDisabled(String label, Paint paint) {
		super(label, paint);
		}
	public void paintIcon(Component c, Graphics g, int x, int y) {		
		Graphics2D g2 = (Graphics2D)g;
		Tab tab =(Tab)c;
		Area tabIcon = new Area(getDefaultIconShape());
		Area cut = new Area(tab.getStage());
		tabIcon.subtract(cut);
		setIconShape(tabIcon);
		super.paintIcon(c, g, x, y);
		}
	}